package com.smppw.common.pojo;

import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Map;

/**
* @author wangzaijun
* @date 2023/3/3 17:27
* @description 公共返回模型，可以通过工具方法扩展为map
*/
@Setter
@Getter
@Builder
public final class CommonData<T> implements Serializable {
    private static final long serialVersionUID = 1L;

    private T dataset;
    private Map<String, String> productNameMapping;

    private Map<String, Object> extInfos;
}
