package com.smppw.common.pojo.dto.indicator;

import com.smppw.common.pojo.enums.DateIntervalType;
import com.smppw.common.pojo.enums.Frequency;
import com.smppw.common.pojo.enums.TimeRange;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class DateIntervalDto {
    private String id;

    private String startDate;

    private String endDate;

    private TimeRange timeRange;

    private DateIntervalType dateIntervalType;

    private Integer windowOrNum;

    private Integer step;

    private Frequency frequency;

    public DateIntervalDto() {
    }

    public DateIntervalDto(String id, String startDate, String endDate, TimeRange timeRange, DateIntervalType dateIntervalType,
                           Integer windowOrNum, Integer step, Frequency frequency) {
        this.id = id;
        this.startDate = startDate;
        this.endDate = endDate;
        this.timeRange = timeRange;
        this.dateIntervalType = dateIntervalType;
        this.windowOrNum = windowOrNum;
        this.step = step;
        this.frequency = frequency;
    }
}
